<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content-header" *ngIf="objFunction.create">
  <mb-button mbButtonType="NO_BORDER" (click)="openModal()" mbButtonSize="LARGE"
             mbButtonText="{{'common.button.add' | translate}}" mbButtonAvailableStyle="PRIMARY">
  </mb-button>
</div>
<div class="container-fluid-table">
    <div nz-row class="jd-table">
        <div class="ant-table-content" nz-col nzSpan="24">
            <nz-table #basicTable [nzData]="jobDataTable ? jobDataTable : []" [nzFrontPagination]="false"
                [nzShowPagination]="false" [nzScroll]=" jobDataTable.length > 9 ? { y: '70vh' } : {}" [nzSize]="TABLE_SIZE">
                <thead>
                    <tr>
                        <th scope="col"  nzWidth="80px">{{'modelOrganization.table.index' | translate}}</th>
                        <th scope="col" >
                            {{type === 'KHU_VUC' || type === 'TIEU_VUNG' ? 'Khu vực' : 'modelOrganization.table.typeofBranch' | translate}}
                        </th>
                        <th scope="col"  *ngIf="type === 'TIEU_VUNG'">{{ 'modelOrganization.table.sub-region' | translate }}</th>
                        <th scope="col" [nzAlign]="'center'">{{ 'modelOrganization.table.status' | translate }}</th>
                        <th scope="col" nzWidth="8em"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of jobDataTable; let i = index" (dblclick)='onEdit(item.lvaId)'>
                        <td (click)="onEdit(item.lvaId)">{{i + 1}}</td>
                        <td nz-tooltip [nzTooltipTitle]="item.lvaMean" class="wrap-text"
                            *ngIf="type === 'KHU_VUC' || type === 'LOAI_HINH'">
                            {{item.lvaMean }}
                        </td>
                        <td nz-tooltip [nzTooltipTitle]="item.regionMean" class="wrap-text" *ngIf="type === 'TIEU_VUNG'">
                            {{item.regionMean }}
                        </td>
                        <td nz-tooltip [nzTooltipTitle]="item.lvaMean" class="wrap-text" *ngIf="type === 'TIEU_VUNG'">
                            {{item.lvaMean}}
                        </td>
                        <td [nzAlign]="'center'">
                            <div class="tag-center">
                              <nz-tag class="tag-custom ant-tag-red-custom" *ngIf="!item.flagStatus">Không sử dụng</nz-tag>
                              <nz-tag class="tag-custom ant-tag-green-custom" *ngIf="item.flagStatus">Sử dụng</nz-tag>
                            </div>
                        </td>
                        <td>
                            <div class="jd-table__action">
                                <button nz-button nzType="default" class="jd-table__action--button" *ngIf="objFunction.delete"
                                    (click)="onDelete(item.lvaId)">
                                    <img alt="" src="assets/images/icon/project-delete.svg">
                                </button>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </nz-table>
        </div>
    </div>
</div>


<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
    [nzStyle]="{ width: '40vw' }" [nzMask]="false" [nzBodyStyle]="{
    padding: '0px',
    border: 'none'}" (nzOnCancel)="handleCancel()" class="modal-create">
    <ng-template #modalTitle>
        <span class="title-modal">{{titlePopup}}</span>
    </ng-template>

    <ng-template #modalContent>
        <app-region-category-init (submitClick)="closeModal($event)" [id]="id" [type]="type" [view]="view">
        </app-region-category-init>
    </ng-template>

    <ng-template #modalFooter>
        <p></p>
    </ng-template>
</nz-modal>
